XnEvent3Args< TArg1, TArg2, TArg3 > Class Template Reference

`#include <XnEventT.h>`

Inheritance diagram for XnEvent3Args< TArg1, TArg2, TArg3 >:
[legend]

## Public Member Functions

XnStatus | Raise (TArg1 arg1, TArg2 arg2, TArg3 arg3)
Public Member Functions inherited from XnEventInterfaceT< XnHandlerFunc3Args< TArg1, TArg2, TArg3 >::FuncPtr >
| ~XnEventInterfaceT ()
XnStatus | Register (FuncPtr pFunc, void *pCookie, XnCallbackHandle &hCallback)
XnStatus | Unregister (XnCallbackHandle hCallback)

## Additional Inherited Members

Public Types inherited from XnEventInterfaceT< XnHandlerFunc3Args< TArg1, TArg2, TArg3 >::FuncPtr >
typedef FuncPtr | HandlerPtr
typedef XnCallbackT< FuncPtr > | TCallback
typedef XnEventInterfaceT | TInterface
Protected Types inherited from XnEventInterfaceT< XnHandlerFunc3Args< TArg1, TArg2, TArg3 >::FuncPtr >
typedef XnListT< TCallback * > | CallbackPtrList
Protected Member Functions inherited from XnEventInterfaceT< XnHandlerFunc3Args< TArg1, TArg2, TArg3 >::FuncPtr >
| XnEventInterfaceT ()
XnEventInterfaceT & | operator= (const XnEventInterfaceT &other)
XnStatus | Clear ()
XnStatus | ApplyListChanges ()
XnBool | RemoveCallback (CallbackPtrList &list, TCallback *pCallback)
Protected Attributes inherited from XnEventInterfaceT< XnHandlerFunc3Args< TArg1, TArg2, TArg3 >::FuncPtr >
XN_CRITICAL_SECTION_HANDLE | m_hLock
CallbackPtrList | m_callbacks
CallbackPtrList | m_toAdd
CallbackPtrList | m_toRemove

## Member Function Documentation

## Raise()

template<class TArg1, class TArg2, class TArg3>

XnStatus XnEvent3Args< TArg1, TArg2, TArg3 >::Raise | ( | TArg1 | arg1,
|  | TArg2 | arg2,
|  | TArg3 | arg3 )

inline

The documentation for this class was generated from the following file:

- XnEventT.h